Bug 661517 - subscription-manager-gui: cannot undo proxy configuration via the gui
Summary: subscription-manager-gui: cannot undo proxy configuration via the gui
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Adrian Likins
QA Contact: J.C. Molet
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-12-08 21:52 UTC by J.C. Molet
Modified: 2011-05-19 13:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:38:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description J.C. Molet 2010-12-08 21:52:32 UTC
Description of problem:

If you set a proxy configuration for the subscription manager either through the gui or through the rhsm.conf file, you cannot undo these settings (turn proxies off) through the gui tool.

Version-Release number of selected component (if applicable):

subscription-manager-gnome-0.93.3-1.git.0.a79d99d.fc14.x86_64
subscription-manager-0.93.3-1.git.0.a79d99d.fc14.x86_64


How reproducible:
always

Steps to Reproduce:
1. Obtain a machine with subscription-manager-gui installed.
2. Open subscription-manager-gui
3. Click on 'proxy configuration'.
4. Check the "I would like to connect to Red Hat Network via an HTTP proxy." box
5. Enter in a Proxy Location (or any value).
6. Hit the close button to save your changes.
7. Go back to 'proxy configuration'.
8. Uncheck all boxes, (optional:  delete/clear all values).
9. Hit the close button to save your changes.
10. Go back to 'proxy configuration'.
  
Actual results:

Clearing out and unchecking proxy configurations doesn't seem to do anything.  After being set once, the proxy will always re-enable itself using whatever setting you had before.

Expected results:

Once cleared, the proxy settings remain cleared.

Additional info:

This behavior persists across restarts of the program.  The only way to clear the proxy setting is by manually editing the /etc/rhsm/rhsm.conf file.

Comment 1 Adrian Likins 2010-12-14 17:07:25 UTC
commit 792648ea48e6e9cea5e83313a7f7ef81e53c87f9
Author: Adrian Likins <alikins@redhat.com>
Date:   Tue Dec 14 10:55:07 2010 -0500

    661517: make sure changes to proxy settings are respected
    
    This is second part of this bug fix. We were updating the config
    file and object, but we had various UEP objects floating around,
    and only one of them was getting updated on config changes. So
    a change in the config would change the main connection, but not
    say, the certlib UEP object.
    
    So this moves everything to sharing one UEP object for the gui.
    All the gui bits use the Backend.uep now.
    
    certlib was also changed to not use it's own derived UEP class.
    Methods in it were moved to the Action classes that need them.
    Instead of creating a new UEP when they need it, the backend UEP
    is passed down to the actions and shared.
    
    certmgr was also previously not using proxy settings, so it now
    creates one with proper proxy settings.

commit 892c737b7babf762c0105321993edd7af0fe5ae9
Author: Adrian Likins <alikins@redhat.com>
Date:   Mon Dec 13 17:35:50 2010 -0500

    Set and write out config values on network config screen close.

commit 6a322811b9aec40dc42decee2dc9d2cf4fb326c1
Author: Adrian Likins <alikins@redhat.com>
Date:   Mon Dec 13 13:51:29 2010 -0500

    661517: make network config dialog respect disabling of proxy settings
    
    Remove config settings if they are disabled with the check buttons,
    but keep them around in the text fields on screen so we don't
    remove them immediately on clicking the toggles.
    
    Also, on close of proxy config dialog, update the managergui.Backend.uep
    to use the new settings, so we can change proxy settings after startup.

Comment 2 J.C. Molet 2010-12-14 17:55:29 UTC
version:
subscription-manager-gnome-0.93.3-1.git.25.ebd8f27.fc14.x86_64
subscription-manager-0.93.3-1.git.25.ebd8f27.fc14.x86_64

The commits in the above comment are working properly, and fix this issue.

Comment 3 errata-xmlrpc 2011-05-19 13:38:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.